//  Copyright (c) 2021 NetEase, Inc.  All rights reserved.

#import <Foundation/Foundation.h>
#import "NEScreenShareHostOptions.h"
#import "NEScreenShareHostDelegate.h"
#import "NEScreenShareHostProtocol.h"

//! Project version number for NEScreenShareHost.
FOUNDATION_EXPORT double NEScreenShareHostVersionNumber;

//! Project version string for NEScreenShareHost.
FOUNDATION_EXPORT const unsigned char NEScreenShareHostVersionString[];


NS_ASSUME_NONNULL_BEGIN

@interface NEScreenShareHost : NSObject

/// 直接开启录制插件，iOS12以后可用
- (void)launchBroadcaster API_AVAILABLE(ios(12.0));

- (void)stopBroadcaster;

/// 初始化
- (instancetype)initWithOptions:(NEScreenShareHostOptions *)options;

@end

NS_ASSUME_NONNULL_END
